org.eclipse.wst.jsdt.chromium.debug.core.model

## Enum BreakpointSynchronizer.Direction

- java.lang.Object
- - java.lang.Enum<BreakpointSynchronizer.Direction>
  - - org.eclipse.wst.jsdt.chromium.debug.core.model.BreakpointSynchronizer.Direction

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BreakpointSynchronizer.Direction>

Enclosing class:
  BreakpointSynchronizer

    public static enum BreakpointSynchronizer.Direction
    extends java.lang.Enum<BreakpointSynchronizer.Direction>

Describes a direction the breakpoint synchronization should be performed in.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`MERGE` Breakpoints are created locally or remotely or tied together so that every breakpoint has a counterpart on other side.
`RESET_LOCAL` All breakpoints in local workspace are cleared/updated/created to conform to breakpoints in remote VM (not applicable for multiple VMs).
`RESET_REMOTE` All breakpoints in remote VM/VMs are cleared/updated/created to conform to breakpoints in Eclipse workspace.

### Method Summary

All Methods Static Methods Concrete Methods
`static BreakpointSynchronizer.Direction` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BreakpointSynchronizer.Direction[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### RESET_REMOTE

    public static final BreakpointSynchronizer.Direction RESET_REMOTE

All breakpoints in remote VM/VMs are cleared/updated/created to conform to breakpoints in Eclipse workspace.

#### RESET_LOCAL

    public static final BreakpointSynchronizer.Direction RESET_LOCAL

All breakpoints in local workspace are cleared/updated/created to conform to breakpoints in remote VM (not applicable for multiple VMs).

#### MERGE

    public static final BreakpointSynchronizer.Direction MERGE

Breakpoints are created locally or remotely or tied together so that every breakpoint has a counterpart on other side.

### Method Detail

#### values

    public static BreakpointSynchronizer.Direction[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (BreakpointSynchronizer.Direction c : BreakpointSynchronizer.Direction.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static BreakpointSynchronizer.Direction valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null